Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Live server-sent-events stream of the global activity feed

GET/v1/activity.streamGlobalFeed
Authorization
AuthorizationBearer token · headerrequired
Query parameters
sincestring<date-time>

Send only warm-up events at or after this time (RFC 3339, inclusive). Pass the occurredAt of the newest event that the client already has. Omit to get the newest 30 events.

Responses
200

OK

One of:
object
dataV1ActivityEventrequired
Show properties
accountLeaderboardAccount | nullrequired

The account the event is about

Show properties
animatedAvatarstringrequired

The animated avatar of the account

appsinteger<int32>required

The number of apps the account has

min 0
avatarstringrequired

The avatar hash of the account

avatarFramestringrequired

The avatar frame of the account

awardsGiveninteger<int32>required

The number of awards the account has

min 0
awardsReceivedinteger<int32>required

The number of awards the account has

min 0
backgroundstringrequired

The background of the account

badgesinteger<int32>required

The number of badges the account has

min 0
bansinteger<int32>required

The number of bans

min 0
cityLeaderboardCity | null

The city of the account

Show properties
namestringrequired

The name of the city

countryLeaderboardCountry | null

The country of the account

Show properties
codestring

The code of the country

namestringrequired

The name of the country

createdAtstring<date-time>required

The time the account was created

donatedinteger<int32>required

The total of donations the account has

min 0
economyBanstringrequired

The economy ban of the account

foilBadgesinteger<int32>required

The number of foil badges the account has

min 0
friendsinteger<int32>required

The number of friends the account has

min 0
gameBansinteger<int32>required

The number of game bans

min 0
levelinteger<int32>required

The level of the account

min 0
miniBackgroundstringrequired

The mini background of the account

namestringrequired

The name of the account

nameEffectstringrequired

Donator name effect, none when unset or the account no longer holds an entitling role

Allowed:nonerainbowshadowneonshattervaporwavestardustcosmicsakurahalomoltenglassamber_glintamethyst_glintemerald_depthsapphire_depthruby_firediamond_fireastral_skynebula_skystaff_scandeveloper_scancrownlensboost
normalBadgesinteger<int32>required

The number of normal badges the account has

min 0
playtimeinteger<int32>required

The playtime of the account

min 0
pointsGiveninteger<int32>required

The number of points the account has

min 0
pointsReceivedinteger<int32>required

The number of points the account has

min 0
privacystringrequired

The privacy of the account

Allowed:publicprivatefriends_only
regionLeaderboardRegion | null

The region of the account

Show properties
namestringrequired

The name of the region

rolesRole[] | nullrequired

The roles of the account

Show properties
Array of Role
extrasobject | nullrequired

Extra data associated with the role

ratinginteger<int32>required

The higher the more presedence it has

rolestringrequired
Allowed:userdonatorstaffdeveloperpartnerowneramethystamberemeraldsapphirerubydiamondcontributorearly_supporterbetatranslatortop_100badge_scoutnitro_boosterlevels_adminastralnebula
stateLeaderboardState | null

The state of the account

Show properties
namestringrequired

The name of the state

steamIdstringrequired

The steam id

steamSetsScoreinteger<int32>required

The steam sets score

min 0
steamSetsVanitystringrequired

The vanity of the account

steamVanitystringrequired

The vanity of the account

supporterSupporterStatus

Whether this account helps cover the monthly server costs, omitted when it never donated

Show properties
activebooleanrequired

Donated this month

monthsinteger<int32>required

Total months with a donation

min 0
themeColorstring | nullrequired

Donator profile theme color as #RRGGBB (no alpha), null when unset or the account no longer holds an entitling role

vacBansinteger<int32>required

The number of vac bans

min 0
xpinteger<int32>required

The number of xp the account has

min 0
appBadgeV1AppBadge

Set for badge_crafted and scarcity_milestone events

Show properties
accountInfoAccountBadgeInfo | null
Show properties
completionTimestring<date-time>required

The time the badge was completed

levelinteger<int32>required

The level of the badge

min 0
xpinteger<int32>required

The xp of the badge

min 0
appIdinteger<int32>required
min 0
appImagestringrequired
appNamestringrequired
badgeIdstringrequired
badgeImagestringrequired
baseLevelinteger<int32>required

The level this badge starts at

min 0
baseXpinteger<int32>required

The XP the badge gives per level

min 0
cardCountinteger<int32>required

Total trading cards Steam defines for this app (per side; foil and normal share the same count)

min 0
firstCompletionstring<date-time> | nullrequired
highestLevelinteger<int64>required
isEventbooleanrequired
isFoilbooleanrequired
isNmcbooleanrequired

Whether the cards needed for this badge are non-marketable on Steam (cannot be bought/sold)

isSalebooleanrequired
lastCompletionstring<date-time> | nullrequired
namestringrequired
noListingbooleanrequired

Whether at least one card for this badge is not currently listed on the market

priceinteger<int32>requireddeprecated
scarcityinteger<int64>required
min 0
steamIdinteger<int32>required
min 0
trackedHoldersinteger<int64>required
min 0
eventTypestringrequired

badge_crafted | level_milestone | rank_milestone | scarcity_milestone

levelV1ActivityLevelChange

Set for level_milestone events

Show properties
currentinteger<int32>required

Level after the milestone crossing

min 0
previousinteger<int32>required

Level before the milestone crossing

min 0
occurredAtstring<date-time>required
rankV1ActivityRankChange

Set for rank_milestone events

Show properties
bucketstringrequired

top_10 | top_100 | top_1000

currentinteger<int32>required

Rank after the change

min 0
leaderboardstringrequired

Leaderboard the rank was reached on

locationV1ActivityLocationrequired

Where the rank was reached — resolved to names (global scope has no region/country)

Show properties
countryCodestring
countryNamestring
regionstring
typestringrequired

global | country | region

previousinteger<int32>required

Rank before the change (0 if previously unranked)

min 0
scarcityV1ActivityScarcity

Set for scarcity_milestone events

Show properties
globalCraftOrderinteger<int32>required

This account's global craft position for the badge (1 = first ever)

min 0
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

object
dataV1ActivityStreamHeartbeatrequired
Show properties
heartbeatinteger<int64>required
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

default

Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.steamsets.com/v1/activity.streamGlobalFeed' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/problem+json'
Response
{
  "data": {
    "account": {
      "animatedAvatar": "string",
      "apps": 123456,
      "avatar": "f1a1d2c3d0c9d1e1f2f3f4f5f6f7f8f9",
      "avatarFrame": "string",
      "awardsGiven": 123456,
      "awardsReceived": 123456,
      "background": "string",
      "badges": 123456,
      "bans": 0,
      "city": {
        "name": "Bad Krozingen"
      },
      "country": {
        "code": "DE",
        "name": "Germany"
      },
      "createdAt": "2023-01-01T00:00:00Z",
      "donated": 123456,
      "economyBan": "steam",
      "foilBadges": 123456,
      "friends": 123456,
      "gameBans": 0,
      "level": 123456,
      "miniBackground": "string",
      "name": "steamsets",
      "nameEffect": "rainbow",
      "normalBadges": 123456,
      "playtime": 123456,
      "pointsGiven": 123456,
      "pointsReceived": 123456,
      "privacy": "public",
      "region": {
        "name": "Europe"
      },
      "roles": [
        {
          "extras": {
            "property1": null,
            "property2": null
          },
          "rating": 0,
          "role": "user"
        }
      ],
      "state": {
        "name": "Baden-Wurttemberg"
      },
      "steamId": "76561198842603734",
      "steamSetsScore": 0,
      "steamSetsVanity": "steamsets",
      "steamVanity": "steamsets",
      "supporter": {
        "active": true,
        "months": 3
      },
      "themeColor": "#FF5733",
      "vacBans": 0,
      "xp": 123456
    },
    "appBadge": {
      "accountInfo": {
        "completionTime": "2023-01-01T00:00:00Z",
        "level": 123456,
        "xp": 123456
      },
      "appId": 0,
      "appImage": "string",
      "appName": "string",
      "badgeId": "string",
      "badgeImage": "string",
      "baseLevel": 0,
      "baseXp": 0,
      "cardCount": 0,
      "firstCompletion": "2019-08-24T14:15:22Z",
      "highestLevel": 0,
      "isEvent": true,
      "isFoil": true,
      "isNmc": true,
      "isSale": true,
      "lastCompletion": "2019-08-24T14:15:22Z",
      "name": "string",
      "noListing": true,
      "price": 0,
      "scarcity": 0,
      "steamId": 0,
      "trackedHolders": 0
    },
    "eventType": "string",
    "level": {
      "current": 0,
      "previous": 0
    },
    "occurredAt": "2019-08-24T14:15:22Z",
    "rank": {
      "bucket": "string",
      "current": 0,
      "leaderboard": "string",
      "location": {
        "countryCode": "DE",
        "countryName": "Germany",
        "region": "Europe",
        "type": "string"
      },
      "previous": 0
    },
    "scarcity": {
      "globalCraftOrder": 0
    }
  },
  "event": "activity-emitted",
  "id": "string",
  "retry": 0
}